@echo off

echo Schedule GradeExpectations
set /p SCHEDULE_TIME=Enter the time to run GradeExpectations every day in the HH:MM format (8:30 am = 08:30, 1:23 pm = 13:23): 

echo Scheduling GradeExpectations to run every day at %SCHEDULE_TIME%...
schtasks /delete /tn GradeExpectations /f 2>nul
schtasks /create /sc daily /tn GradeExpectations /tr "\"%~dp0grade.exe\"" /st %SCHEDULE_TIME%

set /p CREATE_SHORTCUT=Do you want to create a desktop shortcut for view.exe? [Y/n]: 
if /I "%CREATE_SHORTCUT%"=="Y" (
    echo Creating desktop shortcut for view.py...
    powershell -Command "$currentDirectory = (Get-Location).Path; $linkPath = Join-Path ([Environment]::GetFolderPath(\"Desktop\")) \"View.lnk\"; $shortcut = (New-Object -ComObject WScript.Shell).CreateShortcut($linkPath); $shortcut.TargetPath = $currentDirectory + \"\\view.exe\"; $shortcut.IconLocation = $currentDirectory + \"\\Resources\\GradeExpectations.ico\"; $shortcut.WorkingDirectory = $currentDirectory; $shortcut.Save()"
)

echo Done!
pause